class Subject
  include ActiveModel::Model
  attr_accessor :id, :created_at, :description, :highlights, :name

  def highlights
    @highlights ||= subject_repository.get_highlights(self)
  end

  def subject_repository
    Portalmec::Application.repository.for :subject
  end
end